@ECHO OFF

SET SEVENZIP="%ProgramFiles%\7-Zip\7z.exe"

IF EXIST SevenZipTest.7z DEL SevenZipTest.7z > NUL

:: Having two uncompressed files in the same solid block is not possible...
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=Copy -mx=0 MakeTestArchive.cmd
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=Copy -mx=0 Store.txt
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=LZMA -mx=9 LzmaA.txt LzmaB.txt
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=LZMA2 -mx=9 Lzma2A.txt Lzma2B.txt
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=PPMd -mx=9 PpmdA.txt PpmdB.txt
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -mx=9 Bcj2A.exe Bcj2B.exe
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=BZip2 -mx=9 Bzip2A.txt Bzip2B.txt
CALL %SEVENZIP% a SevenZipTest.7z -ms=on -m0=Deflate -mx=9 DeflateA.txt DeflateB.txt
